Subject: No response to my problem ??
From: Aldo Mazzilli <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 31 Mar 1999 11:21:41 +0200

Hello,

I've post a few days ago a message relating the following problem (and
get no response at this time) :

I have built a cross-compiler using egcs and mingw32.
When compiling a program, I get the following error
 
crossgcc -c -I. -I/common/Cadp/incl -IExecutable.xwin32.gcc
-DARCHITECTURE_XWIN32 -DCROSS_GCC -ansi -g -DDEBUG
Executable.xwin32.gcc/parser.c -o Executable.xwin32.gcc/parser.o
In file included from parser.y:88:
Executable.xwin32.gcc/scanner.c:71: `stdio' undeclared here (not in a
function)
Executable.xwin32.gcc/scanner.c:71: initializer element for `yyin' is
not constant
Executable.xwin32.gcc/scanner.c:71: initializer element for `yyout' is
not constant
*** Error code 1
make: Fatal error: Command failed for target
`Executable.xwin32.gcc/parser.o'
-----------------------------------
 
Here is the line 71 of scanner.c :
FILE *yyin = {stdin}, *yyout = {stdout} ;
 
-----------------------------------
cpp scanner.c gives me the following result with line 71 :
FILE *yyin = {(&_iob[0])}, *yyout = {(&_iob[1])} ;
 
-----------------------------------
However, it accepts :
 
FILE *yyin = NULL, *yyout = NULL ;
or
int x = 1 + 2 ;
 
It seems that my crossgcc doesn't accept initializing global variables
to complicated constants (like : &_iob[0]).
 
------------------------------------
 
Is there any option when building the cross-compiler which makes it more
efficient ?
 
PS : standard gcc accepts this kind of initialization.
- 
=======================================================================
,',',',',',',' Aldo MAZZILLI             | INRIA Rhone-Alpes          |
,',',',',',',' [email-masked]| 655, avenue de l'Europe    |
,',',',',',',' Tel : 04 76 61 53 91      | 38330 Montbonnot St Martin |
,',',',',',',' Fax : 04 76 61 52 52      | FRANCE                     |
,',' *** Site WEB : http://www.inrialpes.fr/vasy/people/Aldo.Mazzilli |
=======================================================================

--
Want to unsubscribe from this list?
Send a message to [email-masked]